System.Runtime.Remoting 2.0.0.0

An instance of the interface is passed to . It provides a single point of authorization for all incoming connections on a . It allows for the authorization of the caller before any incoming messages are deserialized to minimize the security threat from untrusted sources.

The interface provides methods that indicate whether a client is authorized to connect on the current channel, based on the client's network address and user identity.

- Method
  System.Boolean ``

  An instance of the interface is passed to . It provides a single point of authorization for all incoming connections on a . It allows for the authorization of the caller before any incoming messages are deserialized to minimize the security threat from untrusted sources.

  Gets a Boolean value that indicates whether the network address of the client is authorized to connect on the current channel.

  true if the network address of the client is authorized; otherwise, false.

  The that identifies the network address of the client. 2.0.0.0
- Method
  System.Boolean ``

  An instance of the interface is passed to . It provides a single point of authorization for all incoming connections on a . It allows for the authorization of the caller before any incoming messages are deserialized to minimize the security threat from untrusted sources.

  Gets a Boolean value that indicates whether the user identity of the client is authorized to connect on the current channel.

  true if the user identity of the client is authorized; otherwise, false.

  The that represents the user identity of the client. 2.0.0.0